﻿<link href="../../../Assets/apphome/css/Cart.min.css" rel="stylesheet" />
<style>
    .box_sadow {
        box-shadow: 3px 3px 10px grey;
    }
    /**xem giỏ hàng*/
    table {
        width: 100%;
        border-collapse: collapse;
    }
    /* Zebra striping */
    tr:nth-of-type(odd) {
        background: #eee;
    }

    th {
        background: #f5a21f;
        font-weight: bold;
        padding: 10px 5px;
        text-align: center
    }

    td, th {
        border: 1px solid #ccc;
        color: #000;
        font-weight: bold;
    }

    .cart-man {
        padding-left: 0px;
        padding-right: 0px
    }


    td:nth-child(4) {
        text-align: right
    }

    td:nth-child(6) {
        text-align: right
    }

    td:nth-child(8) {
        text-align: right
    }

    td:nth-child(1) {
        text-align: center
    }

    td:nth-child(2) {
        text-align: center
    }

    td:nth-child(3) {
        text-align: left
    }

    td:nth-child(5) {
        text-align: center
    }

    td:nth-child(7) {
        text-align: center
    }

    td:nth-child(9) {
        text-align: center
    }




    @media only screen and (max-width: 760px), (min-device-width: 768px) and (max-device-width: 1024px) {
        /* Force table to not be like tables anymore */
        table, thead, tbody, th, td, tr {
            display: block;
        }

            /* Hide table headers (but not display: none;, for accessibility) */
            thead tr {
                position: absolute;
                top: -9999px;
                left: -9999px;
            }

        tr {
            border: 1px solid #ccc;
        }

        .img-fluid {
            max-width: 50px;
            height: 50px;
        }

        td {
            /* Behave  like a "row" */
            border: none;
            border-bottom: 1px solid #eee;
            position: relative;
            padding-left: 50%;
            text-align: left
        }

            td a, p {
                text-align: left
            }

            td:nth-child(7) {
                text-align: left
            }

            td:nth-child(9) button {
                justify-content: flex-start
            }


        .col-lg-5.col-sm-12#oder-box {
            padding-left: 0px;
            padding-right: 0px;
            margin-top: 1em
        }

        td:before {
            /* Now like a table header */
            position: absolute;
            /* Top/left values mimic padding */
            top: 6px;
            left: 6px;
            width: 45%;
            padding-right: 10px;
            white-space: nowrap;
        }

        /*
    Label the data
    */
        td:nth-of-type(1):before {
            content: "STT";
            text-align: left
        }


        td:nth-of-type(2):before {
            content: "Hình ảnh";
            text-align: left
        }

        td:nth-of-type(3):before {
            content: "Tên hàng";
            text-align: left
        }

        td:nth-of-type(4):before {
            content: "Giá";
            text-align: left
        }

        td:nth-of-type(5):before {
            content: "Đơn vị tính";
            text-align: left
        }

        td:nth-of-type(6):before {
            content: "Khuyến mãi";
            text-align: left
        }

        td:nth-of-type(7):before {
            content: "Số lượng";
            text-align: left
        }

        td:nth-of-type(8):before {
            content: "Thành tiền";
            text-align: left
        }

        td:nth-of-type(9):before {
            content: "Xóa";
            text-align: left
        }
    }
</style>

<div ng-if="GioHangTest.length>0" id="cart_big" style="background:url(../../../Assets/apphome/images/top_bg002.jpg)">
    <div class="pading_top"></div>
    <div class=" container-fluid ">
        <div class="row fromat_text">
            <div class="col-md-12">
                <h1 ng-show="!viewsucces">DANH SÁCH HÀNG HÓA ĐÃ CHỌN</h1>
                <h1 ng-show="viewsucces">THÔNG TIN ĐƠN ĐẶT HÀNG</h1>
            </div>
        </div>
    </div>
    <div class="cart-box-main" ng-show="viewpayment">
        <div class="container box_sadow" style="background:#FFF">
            <form name="formGiohang" role="form">
                <div class="row">
                    <div class="col-lg-12 cart-man">
                        <div class="table-main">




                            <table>
                                <thead>
                                    <tr>
                                        <th>STT</th>
                                        <th>Hình ảnh</th>
                                        <th>Tên hàng</th>
                                        <th>Đơn giá</th>
                                        <th>Đơn vị tính</th>
                                        <th>Khuyến mãi</th>
                                        <th>Số lượng</th>
                                        <th>Thành tiền</th>
                                        <th>Xóa</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr ng-repeat="item in GioHangTest">
                                        <td class="name-pr">
                                            <a>
                                                {{$index+1}}
                                            </a>
                                        </td>
                                        <td class="thumbnail-img">
                                            <a ui-sref="dathang.chitiethanghoa({id:item.MaHang})">
                                                <img class="img-fluid" ng-src="http://hoanggiang.mekong-tech.com{{item.HinhAnh}}" alt="{{item.TenHang}}">
                                            </a>
                                        </td>
                                        <td class="name-pr ">
                                            <a ui-sref="chitiethanghoa({id:item.MaHang})">
                                                {{item.TenHang}}
                                            </a>
                                        </td>
                                        <td class="price-pr">
                                            <p>{{item.DonGia|number}}</p>
                                        </td>
                                        <td class="price-pr">
                                            <p ng-show="item.TenDonViTinh!=null||item.TenDonViTinh!=''">{{item.TenDonViTinh}}</p>
                                            <p ng-show="item.TenDonViTinh==null||item.TenDonViTinh==''">      </p>
                                        </td>

                                        <td class="price-pr">
                                            <p>{{item.GiaKhuyenMai|number}}</p> <p> <!--{{item.KhuyenMai2}}--> </p>
                                        </td>


                                        <td class="quantity-box">
                                            <input id="nmovimentos" ng-disabled="item.DonGia==0" ng-show="item.TenDonViTinh=='Kg' " required name="soluong" ng-model="item.SoLuong" type="number" ng-click="capNhat(item.MaHang,item.DonGia,item.SoLuong,$index,item.KhuyenMai,item.TenDonViTinh,item)" min="0" step="0.1" class="c-input-text qty text">
                                            <input id="nmovimentos" ng-disabled="item.DonGia==0" ng-show="item.TenDonViTinh=='Con' " required name="soluong" ng-model="item.SoLuong" type="number" ng-click="capNhat(item.MaHang,item.DonGia,item.SoLuong,$index,item.KhuyenMai,item.TenDonViTinh,item)" min="0.5" step="0.5" class="c-input-text qty text">
                                            <input id="nmovimentos" ng-disabled="item.DonGia==0" ng-show="item.TenDonViTinh!='Kg'&&item.TenDonViTinh!='Con' " required name="soluong" ng-model="item.SoLuong" type="number" ng-click="capNhat(item.MaHang,item.DonGia,item.SoLuong,$index,item.KhuyenMai,item.TenDonViTinh,item)" size="4" value="1" step="1" min="1" class="c-input-text qty text">
                                        </td>

                                        <td class="total-pr">
                                            <p>{{item.ThanhTien|number}}</p>
                                        </td>
                                        <td class="remove-pr" ng-show="item.DonGia!=0">

                                            <!--<i  class="fas fa-times"></i>-->

                                            <button class=" btn " type="button" style="padding:0.3em;background:#f5a21f;color:#000" ng-click="xoaHangHoa(item,$index)">Xóa</button>


                                        </td>
                                        <td class="remove-pr" ng-show="item.DonGia==0">
                                        </td>


                                    </tr>
                                </tbody>
                            </table>










                        </div>
                    </div>
                </div>

                <div class="row my-5">
                    <div class="col-lg-7 col-sm-12"></div>
                    <div class="col-lg-5 col-sm-12 " id="oder-box">
                        <div class="order-box">
                            <h3>Tóm tắt đơn hàng</h3>
                            <div class="d-flex">
                                <h4>Tổng tiền hàng</h4>
                                <div class="ml-auto font-weight-bold">{{PhieuCTDH.TongTienHang|number}}</div>
                            </div>
                            <div class="d-flex">
                                <h4>Khuyến mãi</h4>
                                <div class="ml-auto font-weight-bold">{{(GioHangTest|total:'TongKhuyenMai')|number}}</div>
                            </div>
                            <hr class="my-1">


                            <div class="d-flex gr-total">
                                <h5>Tổng tiền thanh toán</h5>
                                <div class="ml-auto h5">{{PhieuCTDH.TongTienThanhToan|number}}</div>
                            </div>
                            <div class="d-flex gr-total">
                                <h5 style="padding-right:5px">Thời gian muốn nhận hàng</h5>
                                <div class="ml-auto ">
                                    <input id="date_start" hour="7" minute='60' ng-model="PhieuCTDH.ThoiGianMuonNhanHang" close-on-select="false" style="left:0px!important" ng-click="check()" datetime-picker date-format="MM-dd-yyyy HH:mm:ss" />
                                </div>
                                <hr>

                            </div>


                        </div>
                        <br />
                        <div style="float:right;margin-bottom:10px;margin-top:10px">
                            <button class="  btn  btn-primary" type="button" data-toggle="modal" style="width:auto" ui-sref="dathang">← Quay lại</button>
                            <button ng-disabled="GioHangTest.length<=0" ng-click="ThanhToan()" ng-hide="!GioHangTest" class=" btn " type="button" data-toggle="modal" style="width:auto;background:#f5a21f;color:#000">Thanh toán</button>

                        </div>
                    </div>
                </div>
            </form>

        </div>
    </div>







    <div class="modal fade " id="thanhtoantknganhang" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" data-backdrop="false" data-keyboard="false" data-focus-on="input:first">

        <div class="modal-dialog modal-dialog-centered modal-lg" role="document" style="max-width: 800px;">

            <div class="modal-content" style="border-radius: 10px;min-height:200px;border:solid 5px #ffd800
                             ">
                <div class="modal-header" style="background:#ffd800">
                    <h3 style="text-align:center;color:black">Thông tin tài khoàn</h3>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Đóng">
                        <span aria-hidden="true" style="color:black" ng-click="checkremove()">&times; Đóng</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form role="form">
                        <md-content>
                            <div>
                                <md-input-container>
                                    <label disabled style="font-size:20px">Tên tài khoản</label>
                                </md-input-container>
                                <md-input-container style="width:10%!important">
                                    <label disabled style="font-size:20px"><b>Sacombank</b></label>
                                </md-input-container>
                                <br />
                                <md-input-container>
                                    <label disabled style="font-size:20px">Số tài khoản</label>
                                </md-input-container>
                                <md-input-container style="width:10%!important">
                                    <label disabled style="font-size:20px"><b>99999999999999</b></label>
                                </md-input-container>
                                <br />
                                <md-input-container>
                                    <label disabled style="font-size:20px">Chuyển khoản với lời nhắn: "09xxxxxxxx thanh toán đơn hàng"</label>
                                </md-input-container>



                            </div>
                        </md-content>
                    </form>
                </div>
                <div class="modal-footers">
                    <button ng-show="DaDangNhap==true" type="button" class="btn btn-success" ng-click="ThanhToanHoaDKCoTK()">Thanh Toán</button>
                    <button ng-show="DaDangNhap==false" type="button" class="btn btn-primary" ng-click="ThanhToanHoaDKKoTK()">Thanh Toán</button>
                </div>
            </div>

        </div>
    </div>

</div>

<div class="shopcart-Empty" ng-if="GioHangTest.length==0">
    <h3>Giỏ hàng của bạn đang trống</h3>
    <h4>Đăng nhập để xem bạn có bất kỳ mục đã lưu nào không. Hoặc tiếp tục mua sắm.</h4>
    <div class="cart_no_btnDd">
        <div class="cart_no_btnBox">
            <div class="cart_no_btnMain">
                <a ng-if="DaDangNhap==false" href="" onclick="open_login()" class="shopcart-empty-btn cartNo-empty-btn01" value="Continue Shopping">
                    Đăng nhập
                </a>
                <a href="" ui-sref="dathang" class="shopcart-empty-btn" value="Continue Shopping">
                    Tiếp tục mua hàng
                </a>
            </div>
        </div>
    </div>
</div>



<div class="cart" style="background: url(../../../Assets/apphome/images/top_bg002.jpg)" ng-if="GioHangTest.length>0">

    <div class="cart__box">
        <div class="cart__item-list">
            <div class="cart__item" data-cart-id="487803538" ng-repeat="item in GioHangTest">
                <div class="cart__item-image"><a href=""><img loading="lazy" src="http://hoanggiang.mekong-tech.com{{item.HinhAnh}}"></a></div>
                <div class="cart__item-description">
                    <div class="delete-cta-wrapper" ng-if="item.DonGia!=0"><a ng-click="xoaHangHoa(item,$index)" href="" class="delete-cta"><i class="fas fa-times"></i></a></div>
                    <span class="product-title">{{item.TenHang}}</span>
                    <div class="cart__item-box">
                        <div>
                            <!--<div class="price-before">{{(item.DonGia-item.GiaKhuyenMai)|number}}đ</div>-->
                            <!--<div class="price-before">{{(item.DonGia)|number}}đ</div>-->
                            <div class="price-after" ng-if="item.DonGia>0">{{item.DonGia|number}}</div>
                            <div class="price-after" ng-if="item.DonGia==0">Khuyến mãi</div>
                        </div>
                        <div class="product-counter">

                            <div class="counter-minus" ng-model="item.SoLuong" ng-class="{'disble':item.DonGia==0||item.SoLuong==1}" ng-if="item.TenDonViTinh=='Kg' " ng-click="item.SoLuong=item.SoLuong-1;capNhat(item.MaHang,item.DonGia,item.SoLuong,$index,item.KhuyenMai,item.TenDonViTinh,item)"><a href="" class="counter-minus-cta">−</a></div>
                            <div class="counter-minus" ng-model="item.SoLuong" ng-class="{'disble':item.DonGia==0||item.SoLuong==1}" ng-if="item.TenDonViTinh=='Con'" ng-click="item.SoLuong=item.SoLuong-1;capNhat(item.MaHang,item.DonGia,item.SoLuong,$index,item.KhuyenMai,item.TenDonViTinh,item)"><a href="" class="counter-minus-cta">−</a></div>
                            <div class="counter-minus" ng-model="item.SoLuong" ng-class="{'disble':item.DonGia==0||item.SoLuong==1}" ng-if="item.TenDonViTinh!='Kg'&&item.TenDonViTinh!='Con' " ng-click="item.SoLuong=item.SoLuong-1;capNhat(item.MaHang,item.DonGia,item.SoLuong,$index,item.KhuyenMai,item.TenDonViTinh,item)"><a href="" class="counter-minus-cta">−</a></div>
                            <div class="counter-content" data-product-id="104073" data-item-key="487803538" data-item-quantity="1">{{item.SoLuong}}</div>
                            <div class="counter-plus" ng-model="item.SoLuong" ng-class="{'disble':item.DonGia==0}" ng-if="item.TenDonViTinh=='Kg' " ng-click="item.SoLuong=item.SoLuong+1;capNhat(item.MaHang,item.DonGia,item.SoLuong,$index,item.KhuyenMai,item.TenDonViTinh,item)"><a href="" class="counter-plus-cta">+</a></div>
                            <div class="counter-plus" ng-model="item.SoLuong" ng-class="{'disble':item.DonGia==0}" ng-if="item.TenDonViTinh=='Con' " ng-click="item.SoLuong=item.SoLuong+1;capNhat(item.MaHang,item.DonGia,item.SoLuong,$index,item.KhuyenMai,item.TenDonViTinh,item)"><a href="" class="counter-plus-cta">+</a></div>
                            <div class="counter-plus" ng-model="item.SoLuong" ng-class="{'disble':item.DonGia==0}" ng-if="item.TenDonViTinh!='Kg'&&item.TenDonViTinh!='Con' " ng-click="item.SoLuong=item.SoLuong+1;capNhat(item.MaHang,item.DonGia,item.SoLuong,$index,item.KhuyenMai,item.TenDonViTinh,item)"><a href="" class="counter-plus-cta">+</a></div>

                            <!--<input id="nmovimentos" ng-disabled="item.DonGia==0" ng-show="item.TenDonViTinh=='Kg' " required name="soluong" ng-model="item.SoLuong" type="number" ng-click="capNhat(item.MaHang,item.DonGia,item.SoLuong,$index,item.KhuyenMai,item.TenDonViTinh,item)" min="0" step="0.1" class="c-input-text qty text">
                            <input id="nmovimentos" ng-disabled="item.DonGia==0" ng-show="item.TenDonViTinh=='Con' " required name="soluong" ng-model="item.SoLuong" type="number" ng-click="capNhat(item.MaHang,item.DonGia,item.SoLuong,$index,item.KhuyenMai,item.TenDonViTinh,item)" min="0.5" step="0.5" class="c-input-text qty text">
                            <input id="nmovimentos" ng-disabled="item.DonGia==0" ng-show="item.TenDonViTinh!='Kg'&&item.TenDonViTinh!='Con' " required name="soluong" ng-model="item.SoLuong" type="number" ng-click="capNhat(item.MaHang,item.DonGia,item.SoLuong,$index,item.KhuyenMai,item.TenDonViTinh,item)" size="4" value="1" step="1" min="1" class="c-input-text qty text">-->

                        </div>
                    </div>
                </div>
            </div>

        </div>
        <!--<form id="coupon-form">
            <div class="cart__coupon">
                <div class="cart__coupon-box">
                    <div class="input-wrapper">   <span class="input-wrapper__label">Mã giảm giá</span>   <input type="text" name="cartCoupon" class="form-control label-mini" id="voucher-code-input" aria-label="input voucher code" required=""></div>
                    <button type="submit" class="button button-red coupon-cta">Áp dụng</button>
                </div>
            </div>

        </form>-->
        <div class="cart__total">
            <div class="cart__total-box">
                <div class="cart__total-sub">
                    <div class="label">Tạm tính</div>
                    <div class="content">{{PhieuCTDH.TongTienHang|number}}đ</div>
                </div>
                <div class="cart__total-promotion">
                    <div class="label">Khuyến mãi</div>
                    <div class="content">{{(GioHangTest|total:'TongKhuyenMai')|number}}đ</div>
                </div>
                <!--<div class="cart__total-delivery">
                    <div class="label">Phí vận chuyển</div>
                    <div class="content">Miễn phí</div>
                </div>-->
            </div>
            <div class="cart__total-content">
                <div class="label">Tổng tiền</div>
                <div class="content"> {{PhieuCTDH.TongTienThanhToan|number}}đ</div>
                
            </div>
            <div class="time_shiper">
                <span>Thời gian muốn nhận hàng</span>
                <input id="date_start" hour="7" minute='60' ng-model="PhieuCTDH.ThoiGianMuonNhanHang" close-on-select="false" style="left:0px!important" ng-click="check()" datetime-picker date-format="MM-dd-yyyy HH:mm:ss" />

            </div>
            <!--<div class="price-include-vat"><sup>*</sup> Giá trên đã bao gồm VAT và phí vận chuyển.</div>-->


        </div>

        <a href="" ng-disabled="GioHangTest.length<=0" ng-click="ThanhToan()" ng-hide="!GioHangTest" class="submit_cart">Tiến thành thanh toán</a>
    </div>
</div>

<div class="modal fade " id="hinhthucthanhtoan" tabindex="0" role="dialog" aria-labelledby="myLargeModalLabel" data-backdrop="false" data-keyboard="false" data-focus-on="input:first">

    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">

        <div class="modal-content" style="width:100%;border:solid 5px #ffd800
                             ">
            <div class="modal-header" style="background:#ffd800">
                <h3 style="text-align:center;color:black">Chọn hình thức thanh toán</h3>
                <button type="button" class="close" data-dismiss="modal" aria-label="Đóng">
                    <span aria-hidden="true" ng-click="checkremove()">&times; Đóng</span>
                </button>
            </div>
            <div class="modal-body">

                <div class="box_payments">
                    <span class="payment_items" ng-click="PhieuCTDH.MaHinhThucThanhToan=4;ThanhToan()">
                        <span class="icon_payment"><i style="text-align:center" class="fas fa-money-bill-wave"></i>   </span>
                        <span class="line_soild"></span>
                        <h4>Thanh toán khi nhận hàng</h4>

                    </span>

                    <span class="payment_items" ng-click="ThanhToanChuyenKhoan()">
                        <span class="icon_payment"><i style="text-align:center" class="fas fa-money-bill-wave"></i>   </span>
                        <span class="line_soild"></span>
                        <h4>Thanh toán bằng chuyển khoản</h4>

                    </span>
                    <!--<span kendo-tooltip k-content="'Chức năng đang cập nhật'" class="payment_items ">
                        <span class="icon_payment"><i style="text-align:center" class="fas fa-credit-card"></i>   </span>
                        <span class="line_soild"></span>
                        <h4> Thanh toán bằng thẻ</h4>

                    </span>
                    <span kendo-tooltip k-content="'Chức năng đang cập nhật'" class="payment_items ">
                        <span class="icon_payment"><i style="text-align:center" class="fas fa-credit-card"></i>   </span>
                        <span class="line_soild"></span>
                        <h4> Thanh toán bằng ví điện tử</h4>

                    </span>-->

                </div>
            </div>
            <div class="modal-footers">
                <button type="button" class="btn btn-danger" data-dismiss="modal">Hủy</button>
            </div>
        </div>

    </div>
</div>

<!--ng-show="viewsucces"-->
<div class="container clearfix succes_cart" ng-show="viewsucces">
    <div class="payment-status" style="background:#fff">
        <span class="close_succes" onclick="document.body.style.overflow = 'visible'" ng-click="viewsucces=false"><i class="fas fa-times"></i></span>
        <p class="text-center"><img src="../../../Assets/apphome/images/success.png" alt="" /></p>
        <div class="content">
            <p class="order-number">
                <strong>Mã đơn hàng: </strong>
                <span>{{succsess.MaChungTuMoi}}</span>
            </p>
            <p class="order-number">
                <strong>Tổng hóa đơn</strong>
                <span>{{succsess.TongTienThanhToan|number}} ₫</span>
            </p>

            <p class="order-number">
                <strong>Thời gian đặt</strong>
                <span>{{succsess.ThoiGianMuonNhanHang|date:'dd/MM/yyyy HH:mm:ss'}}</span>
            </p>
            <p class="order-number">
                <strong>Phương thức thanh toán</strong>
                <span>{{succsess.HinhThucThanhToan}}</span>
            </p>



            <div class="address-info">

                <p>
                    <strong>Họ tên người nhận:</strong>
                    <span>{{authentication.fullName}}{{Thongtincopy.TenKhachHang}}</span>
                </p>
                <p>
                    <strong>
                        Địa chỉ nhận hàng:
                    </strong>
                    <span><span ng-show="DaDangNhap==false">{{succsess.DiaChi}}</span><span ng-show="DaDangNhap==true">{{succsess.DiaChi}}</span></span>
                </p>
                <p>
                    <strong>Số điện thoại:</strong>
                    <span>{{ThongtinUser.PhoneNumber}}{{Thongtincopy.SoDienThoai}}</span>
                </p>
            </div>
            <p class="btn-back-to-home"><a ng-click="trangchu()" onclick="document.body.style.overflow = 'visible'" class="btn  btn-block" style="background:#ffd800" title="Quay về trang chủ">Quay về trang chủ</a></p>
        </div>
    </div>
</div>




<!--<script>
    $('#date_start').datetimepicker({
        minDate: '-1970/01/02',
        minTime: '11:00'
    });
</script>-->
